Bug 19852 - Cannot bring up IDE when tomcat401 is not bundled
Cannot bring up IDE when tomcat401 is not bundled
Status: CLOSED FIXED
Product: serverplugins
Classification: Unclassified
Component: Tomcat
3.x
Sun Solaris
: P1 (vote)
: 3.x
Assigned To: Damian Frach
issues@serverplugins
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-28 17:27 UTC by joannelau
Modified: 2002-04-26 16:55 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description joannelau 2002-01-28 17:27:13 UTC
Build: EE 020125   Platform: solaris

Getting the following exception during IDE startup:


Mon Jan 28 09:16:46 PST 2002: org.openide.filesystems.FSException:  Root
/net/bsqe-falcon/export/bsqe-falcon10/joanne/forte4j_020125/tomcat401 does not
exist.
org.openide.filesystems.FSException: Root
/net/bsqe-falcon/export/bsqe-falcon10/joanne/forte4j_020125/tomcat401 does not
exist.
        at org.openide.filesystems.FSException.io(FSException.java:66)
        at
org.openide.filesystems.LocalFileSystem.setRootDirectory(LocalFileSystem.java:129)
        at
org.netbeans.modules.tomcat.tomcat40.Tomcat40Installation.getTomcatDataObject(Tomcat40Installation.java:158)
        at
org.netbeans.modules.tomcat.tomcat40.Tomcat40Installation.getInstances(Tomcat40Installation.java:231)
        at
org.netbeans.modules.tomcat.tomcat40.Tomcat40WebServer.getWebServerInstances(Tomcat40WebServer.java:88)
        at
org.netbeans.modules.tomcat.tomcat40.Tomcat40WebServer.getServerInstances(Tomcat40WebServer.java:72)
        at
org.netbeans.modules.j2ee.impl.ServerUtilities.findServerInstance(ServerUtilities.java:177)
        at
org.netbeans.modules.j2ee.impl.ServerUtilities.findServerInstance(ServerUtilities.java:118)
        at
org.netbeans.modules.j2ee.impl.ServerRegistryImpl.getOptionsWebInstance(ServerRegistryImpl.java:115)
        at
org.netbeans.modules.j2ee.impl.ServerRegistryImpl.setListener(ServerRegistryImpl.java:109)
        at
org.netbeans.modules.j2ee.impl.ServerRegistryImpl.getDefaultWebInstance(ServerRegistryImpl.java:229)
        at
org.netbeans.modules.j2ee.ui.ServerRegistryNode.createKeyNodes(ServerRegistryNode.java:104)
        at
org.netbeans.modules.j2ee.ui.ServerRegistryNode$RegistryChildren.createNodes(ServerRegistryNode.java:272)
        at org.openide.nodes.Children$Keys$KE.nodes(Children.java:1826)
        at org.openide.nodes.ChildrenArray.nodesFor(ChildrenArray.java:125)
        at org.openide.nodes.Children$Info.nodes(Children.java:929)
        at org.openide.nodes.Children.updateAdd(Children.java:737)
        at org.openide.nodes.Children.setEntries(Children.java:526)
        at org.openide.nodes.Children$3.run(Children.java:1719)
        at org.openide.util.Mutex.leave(Mutex.java:604)
        at org.openide.util.Mutex.access$200(Mutex.java:68)
        at org.openide.util.Mutex$Privileged.exitReadAccess(Mutex.java:1207)
        at org.openide.nodes.Children.getNodes(Children.java:286)
        at org.openide.nodes.Children.findChild(Children.java:216)
        at org.openide.nodes.NodeOp.findChild(NodeOp.java:224)
        at org.openide.nodes.NodeOp.findPath(NodeOp.java:242)
        at org.openide.nodes.NodeOp.findPath(NodeOp.java:270)
        at
org.openide.explorer.ExplorerManager.findPath(ExplorerManager.java:633)
        at
org.openide.explorer.ExplorerManager$MyValidation.run(ExplorerManager.java:776)
        at
org.openide.explorer.ExplorerManager$MyValidation.validateObject(ExplorerManager.java:764)
        at java.io.ObjectInputStream.doValidations(ObjectInputStream.java:618)
        at java.io.ObjectInputStream.readObject(ObjectInputStream.java:490)
        at java.io.ObjectInputStream.readObject(ObjectInputStream.java:236)
        at
org.openide.util.io.NbMarshalledObject.get(NbMarshalledObject.java:90)
        at
org.openide.explorer.ExplorerPanel.readExternal(ExplorerPanel.java:235)
        at
org.openide.windows.TopComponent$Replacer.readObject(TopComponent.java:761)
        at java.lang.reflect.Method.invoke(Native Method)
        at
java.io.ObjectInputStream.invokeObjectReader(ObjectInputStream.java:2214)
        at java.io.ObjectInputStream.inputObject(ObjectInputStream.java:1411)
        at java.io.ObjectInputStream.readObject(ObjectInputStream.java:386)
        at java.io.ObjectInputStream.readObject(ObjectInputStream.java:236)
        at
org.openide.loaders.XMLSettingsSupport$SettingsRecognizer.readSerial(XMLSettingsSupport.java:400)
        at
org.openide.loaders.XMLSettingsSupport$SettingsRecognizer.instanceCreate(XMLSettingsSupport.java:430)
        at
org.openide.loaders.InstanceDataObject$SettingsInstance.instanceCreate(InstanceDataObject.java:1215)
        at
org.netbeans.core.windows.PersistenceManager.lookupTCInstance(PersistenceManager.java:350)
        at
org.netbeans.core.windows.WindowManagerImpl.lookupTCInstance(WindowManagerImpl.java:877)
        at
org.netbeans.core.windows.layers.TCRefImpl.getTopComponent(TCRefImpl.java:357)
        at
org.netbeans.core.windows.layers.TCRefImpl.updateMode(TCRefImpl.java:198)
        at
org.netbeans.core.windows.layers.ModeData$CookiesImpl.addComponents(ModeData.java:764)
        at
org.netbeans.core.windows.layers.ModeData$CookiesImpl.updateComponents(ModeData.java:629)
        at
org.netbeans.core.windows.layers.ModeData$CookiesImpl.loadDataSection(ModeData.java:1090)
        at
org.netbeans.core.windows.layers.ModeData$CookiesImpl.updateProperties(ModeData.java:487)
        at
org.netbeans.core.windows.layers.ModeData$CookiesImpl.updateAll(ModeData.java:397)
        at
org.netbeans.core.windows.layers.ModeData$CookiesImpl.createInstance(ModeData.java:341)
        at
org.netbeans.core.windows.layers.ICFolderImpl$R.run(ICFolderImpl.java:261)
        at
org.netbeans.core.windows.layers.ICFolderImpl.instanceCreate(ICFolderImpl.java:123)
        at
org.netbeans.core.windows.layers.WorkspaceData$InstanceCookieImpl.createModes(WorkspaceData.java:470)
        at
org.netbeans.core.windows.layers.WorkspaceData$InstanceCookieImpl.updateModes(WorkspaceData.java:407)
        at
org.netbeans.core.windows.layers.WorkspaceData$InstanceCookieImpl.updateAll(WorkspaceData.java:342)
        at
org.netbeans.core.windows.layers.WorkspaceData$InstanceCookieImpl.loadDataSection(WorkspaceData.java:667)
        at
org.netbeans.core.windows.WorkspaceImpl.ensureSectionLoaded(WorkspaceImpl.java:958)
        at
org.netbeans.core.windows.WorkspaceImpl.setVisible(WorkspaceImpl.java:687)
        at
org.netbeans.core.windows.WindowManagerImpl$1.run(WindowManagerImpl.java:431)
        at
org.netbeans.core.windows.WindowManagerImpl.setCurrentWorkspace(WindowManagerImpl.java:392)
        at org.netbeans.core.windows.WorkspaceImpl$1.run(WorkspaceImpl.java:468)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:154)
[catch] at java.awt.EventQueue.dispatchEvent(EventQueue.java:337)
        at
java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:131)
        at
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:98)
        at java.awt.Dialog.show(Dialog.java:380)
        at org.netbeans.core.NbPresenter.superShow(NbPresenter.java:642)
        at org.netbeans.core.NbPresenter.run(NbPresenter.java:665)
        at org.openide.util.Mutex.doEventAccess(Mutex.java:917)
        at org.openide.util.Mutex.readAccess(Mutex.java:162)
        at org.netbeans.core.NbPresenter.show(NbPresenter.java:646)
        at
org.netbeans.modules.autoupdate.AutoCheckInfo.showDialog(AutoCheckInfo.java:332)
        at org.netbeans.modules.autoupdate.AutoChecker.run(AutoChecker.java:97)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:154)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:337)
        at
java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:131)
        at
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:98)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:85)
Comment 1 _ rkubacki 2002-01-29 08:45:08 UTC
IDE needs to handle case when internal tomcat instalation is not found
better. If the internal tomcat is not present skip this mounting (log
it or warn user?) and continue.

The fact that it is not here is also filled as another bug and will be
fixed separately.
Comment 2 Petr Jiricka 2002-01-29 11:09:43 UTC
Version -> current, as this does not appear in NB 3.3
Comment 3 Damian Frach 2002-01-29 12:49:14 UTC
fixed
Comment 4 joannelau 2002-04-26 16:54:35 UTC
Verified in build 020425_3.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo